## pywws 24.8.0

=== src/doc/requirements.txt ===
sphinx==5.3.0
sphinx_rtd_theme==1.3.0

## pywws 18.6.3

=== debian/changelog ===
pywws (18.6.3-2) unstable; urgency=medium

  * debian/control: add VCS URLs on salsa
  * debian/control: move maintainer to debian-iot-team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Jul 2018 15:28:15 +0200

pywws (18.6.3-1) unstable; urgency=medium

  * Initial upload

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Jul 2018 21:28:15 +0200

=== debian/control ===
Source: pywws
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: python
Priority: optional
Build-Depends: dh-python
	, python3-setuptools
	, python3-all
	, python3-usb
	, python3-tz
	, python3-tzlocal
	, debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://github.com/jim-easterbrook/pywws
Vcs-Browser: https://salsa.debian.org/debian-iot-team/pywws
Vcs-Git: https://salsa.debian.org/debian-iot-team/pywws.git


Package: python3-pywws
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: software for wireless weather stations
 This package contains a collection of Python modules to read, store and
 process data from popular USB wireless weather stations such as
 Elecsa AstroTouch 6975, Watson W-8681, WH-1080PC, WH1080, WH1081, WH3080 etc.
 Any model that is supplied with the EasyWeather Windows software might be
 compatible.
 .
 The software has been developed to run in a low power, low memory environment
 such as a Raspberry Pi. It can be used to create graphs and web pages
 showing recent weather readings, typically updated every hour. It can also
 send live data to services such as Weather Underground and post messages
 to Twitter.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pywws/pywws-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pywws 18.10.1

=== debian/changelog ===
pywws (18.10.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.2.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Nov 2018 19:30:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	, python3-tz
 	, python3-tzlocal
 	, debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/jim-easterbrook/pywws
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pywws
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pywws.git

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Thu, 05 Jul 2018 13:28:15 +0200
export PYBUILD_NAME=pywws
%:
	dh $@ --with python3 --buildsystem=pybuild

## pywws 19.7.1

=== debian/changelog ===
pywws (19.7.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.4.1 (no changes)
  * debian/rules: remove examples from library

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Nov 2019 19:16:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	, python3-tz
 	, python3-tzlocal
 	, debhelper (>= 11)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/jim-easterbrook/pywws
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pywws
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pywws.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pywws/pywws-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## pywws 20.1.0

=== debian/changelog ===
pywws (20.1.0-3) unstable; urgency=medium

  * debian/control: add dependency for python3-usb
  * debian/control: bump standard to 4.5.1 (no changes)
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 Dec 2020 18:34:11 +0100

pywws (20.1.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Mar 2020 18:34:11 +0100

pywws (20.1.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Mar 2020 18:34:11 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 export PYBUILD_NAME=pywws
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf ./debian/python3-pywws/usr/lib/python*/dist-packages/pywws/examples

## pywws 21.4.0

=== debian/changelog ===
pywws (21.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Aug 2021 19:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	, python3-usb
 	, python3-tz
 	, python3-tzlocal
-	, debhelper (>= 11)
-Standards-Version: 4.4.1
+	, debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: https://github.com/jim-easterbrook/pywws
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pywws
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pywws.git
@@ -19,6 +19,7 @@
 Package: python3-pywws
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+	, python3-usb
 Description: software for wireless weather stations
  This package contains a collection of Python modules to read, store and
  process data from popular USB wireless weather stations such as

## pywws 22.10.0

=== debian/changelog ===
pywws (22.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Dec 2022 13:47:32 +0100

pywws (22.9.0-1) unstable; urgency=medium

  * New upstream version 22.9.0
  * debian/control: add python3-dateutil as dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 08 Oct 2022 19:27:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	, python3-usb
 	, python3-tz
 	, python3-tzlocal
+	, python3-dateutil
 	, debhelper-compat (= 13)
 Standards-Version: 4.5.1
 Homepage: https://github.com/jim-easterbrook/pywws

## pywws 23.2.0

=== debian/changelog ===
pywws (23.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Nov 2023 00:30:06 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, python3-tzlocal
 	, python3-dateutil
 	, debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jim-easterbrook/pywws
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pywws
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pywws.git

## pywws 24.2.0

=== debian/changelog ===
pywws (24.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: add Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 May 2024 18:22:28 +0200

## pywws 24.8.0

=== debian/changelog ===
pywws (24.8.0-2) unstable; urgency=medium

  * patch to remove distutils.command.upload (Closes: #1086309)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 30 Oct 2024 18:50:27 +0100

pywws (24.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Sep 2024 18:10:27 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
 	, python3-tzlocal
 	, python3-dateutil
 	, debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jim-easterbrook/pywws
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pywws
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pywws.git
-
+Rules-Requires-Root: no
 
 Package: python3-pywws
 Architecture: all

## pywws 25.10.0

=== debian/changelog ===
pywws (25.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 11 Nov 2025 19:22:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, python3-tzlocal
 	, python3-dateutil
 	, debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jim-easterbrook/pywws
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pywws
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pywws.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pywws/pywws-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
